using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Methods
{
    class Examples26_28
    {
        // Listing 3-26
        public static void Blame(string perpetrator = "dzisiejszą młodzież",
            string problem = "upadek dobrych obyczajów")
        {
            Console.WriteLine("Oskarżam {0} o {1}.", perpetrator, problem);
        }

        public static void OmitOneOptionalArgument()
        {
            // Listing 3-27
            Blame("cyklistów"); 
        }

        public static void NamingOptionalArgument()
        {
            // Listing 3-28
            Blame(problem: "wszystko");
        }
    }
}
